%define texmf      %{_datadir}/texmf
%define tdsname    tipa
%define fontpath   fkr/tipa

Name:           tetex-font-tipa
Version:        1.3
Release:        0.fdr.1
Epoch:          0
Summary:        The TIPA fonts for LaTeX

Group:          Applications/Publishing
License:        LaTeX Project Public License
URL:            http://www.ctan.org/tex-archive/fonts/tipa/tipa-1.3
# NOTE: This tarball cannot be verified directly as it is
# automatically generated by the FTP site. Instead, the
# files contained in the tarball have to be verified one by one ;(
Source0:        ftp://ftp.dante.de/tex-archive/fonts/tipa/tipa-1.3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tetex-latex
Requires:       tetex-latex
Requires(post): tetex
Requires(preun): tetex
Requires(postun): tetex
BuildArch:      noarch

%description
This package contains macros and fonts for using the TIPA fonts with
LaTeX. These fonts contain the phonetic symbols of the International
Phonetic Alphabet. The fonts are provided both as METAFONT sources and
in Type 1 format.


%prep
%setup -q -n tipa-%{version}


%build
make %{?_smp_mflags}
TEXINPUTS="$PWD/sty/:" TFMFONTS="$PWD/tfm/:" make -C doc


%install
rm -rf $RPM_BUILD_ROOT
 
mkdir -p $RPM_BUILD_ROOT%{texmf}/tex/latex/%{tdsname}
install -p -m 644 sty/{*.sty,*.fd,*.def} $RPM_BUILD_ROOT%{texmf}/tex/latex/%{tdsname}/

mkdir -p $RPM_BUILD_ROOT%{texmf}/fonts/{type1,tfm,source}/%{fontpath}
install -p -m 644 type1/*.pfb $RPM_BUILD_ROOT%{texmf}/fonts/type1/%{fontpath}/
install -p -m 644 tfm/*.tfm $RPM_BUILD_ROOT%{texmf}/fonts/tfm/%{fontpath}/
install -p -m 644 mf/*.mf $RPM_BUILD_ROOT%{texmf}/fonts/source/%{fontpath}/

mkdir -p $RPM_BUILD_ROOT%{texmf}/dvips/config
install -m 644 dvips/*.map $RPM_BUILD_ROOT%{texmf}/dvips/config/


%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/bin/mktexlsr %{texmf}
/usr/bin/updmap --quiet --nohash --outputdir %{texmf}/dvips/config --enable Map tipa.map

%preun
if [ "$1" = "0" ]; then
  /usr/bin/updmap --quiet --nohash --outputdir %{texmf}/dvips/config --disable tipa.map
fi

%postun
/usr/bin/mktexlsr %{texmf}


%files
%defattr(-,root,root,-)
%doc doc/tipaman.dvi
%{texmf}/tex/latex/%{tdsname}
%{texmf}/fonts/tfm/%{fontpath}
%{texmf}/fonts/type1/%{fontpath}
%{texmf}/fonts/source/%{fontpath}
%{texmf}/dvips/config/tipa.map


%changelog
* Thu Apr 22 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.3-0.fdr.1
- Updated to 1.3.

* Sun Oct 26 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.2-0.fdr.4
- Moved disabling of maps to preun.

* Fri May 16 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.2-0.fdr.3
- Use RPM_BUILD_ROOT instead of macros.

* Fri May  2 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.2-0.fdr.2
- Added epoch.

* Thu Mar  6 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 1.2-0.fdr.1
- Initial Fedora RPM release.
